<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: src Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dir_b4a795b9c8e357b5f00ee9217f293158.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">src Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_ahrs_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_ahrs_8h.html">Ahrs.h</a> <a href="_ahrs_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_ahrs_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for AHRS. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_ahrs_complementary_filter_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_ahrs_complementary_filter_8h.html">AhrsComplementaryFilter.h</a> <a href="_ahrs_complementary_filter_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_ahrs_complementary_filter_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining an Ahrs Kalman filter. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_ahrs_kalman_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_ahrs_kalman_8h.html">AhrsKalman.h</a> <a href="_ahrs_kalman_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_ahrs_kalman_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining an Ahrs Kalman filter. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_butterworth_low_pass_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_butterworth_low_pass_8h.html">ButterworthLowPass.h</a> <a href="_butterworth_low_pass_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_butterworth_low_pass_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a Butterworth low pass filter. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_control_law_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_control_law_8h.html">ControlLaw.h</a> <a href="_control_law_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_control_law_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for control law. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_euler_derivative_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_euler_derivative_8h.html">EulerDerivative.h</a> <a href="_euler_derivative_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_euler_derivative_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining an euler derivative. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_gx3__25__ahrs_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_gx3__25__ahrs_8h.html">Gx3_25_ahrs.h</a> <a href="_gx3__25__ahrs_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_gx3__25__ahrs_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for 3dmgx3-25 ahrs. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_low_pass_filter_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_low_pass_filter_8h.html">LowPassFilter.h</a> <a href="_low_pass_filter_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_low_pass_filter_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a first order low pass filter. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_nested_sat_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_nested_sat_8h.html">NestedSat.h</a> <a href="_nested_sat_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_nested_sat_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a PID with saturations. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_optical_flow_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_optical_flow_8h.html">OpticalFlow.h</a> <a href="_optical_flow_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_optical_flow_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calcul du flux optique par Lucas et Kanade. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_optical_flow_data_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_optical_flow_data_8h.html">OpticalFlowData.h</a> <a href="_optical_flow_data_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_optical_flow_data_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Classe pour les données du flux optique. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_optical_flow_speed_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_optical_flow_speed_8h.html">OpticalFlowSpeed.h</a> <a href="_optical_flow_speed_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_optical_flow_speed_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calcul de la vitesse à partir du flux optique. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_pid_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_pid_8h.html">Pid.h</a> <a href="_pid_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_pid_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a PID. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_simu_ahrs_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simu_ahrs_8h.html">SimuAhrs.h</a> <a href="_simu_ahrs_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_simu_ahrs_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for a simulation ahrs. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_trajectory_generator1_d_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_trajectory_generator1_d_8h.html">TrajectoryGenerator1D.h</a> <a href="_trajectory_generator1_d_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_trajectory_generator1_d_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class generating a trajectory in 1D. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_trajectory_generator2_d_circle_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_trajectory_generator2_d_circle_8h.html">TrajectoryGenerator2DCircle.h</a> <a href="_trajectory_generator2_d_circle_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_trajectory_generator2_d_circle_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class generating a circle trajectory in 2D. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_uav_multiplex_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_uav_multiplex_8h.html">UavMultiplex.h</a> <a href="_uav_multiplex_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_uav_multiplex_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining uav multiplexing. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_x4_x8_multiplex_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x4_x8_multiplex_8h.html">X4X8Multiplex.h</a> <a href="_x4_x8_multiplex_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_x4_x8_multiplex_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining X4 and X8 multiplexing. <br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_5d36942bc0b8b7535ca1debdbb2dea17.html">igep</a></li><li class="navelem"><a class="el" href="dir_4058784a9b3b5a1af08fe490f3cc2295.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_397df358b18bb3cbe19e4fcbd91928fa.html">framework</a></li><li class="navelem"><a class="el" href="dir_5864f1cc96502ab76a31182e598bfd3d.html">Filter</a></li><li class="navelem"><a class="el" href="dir_b4a795b9c8e357b5f00ee9217f293158.html">src</a></li>
    <li class="footer">Generated on Mon May 19 2014 08:12:47 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
